Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreContainerManager

    java.lang.Object
      oracle.ifs.fdk.impl.ContainerManagerImpl
          oracle.ifs.fdk.core.CoreContainerManager

All Implemented Interfaces:
  java.rmi.Remote, ContainerManager

    public class CoreContainerManager

extends ContainerManagerImpl

Implementation of the ContainerManager interface.

See Also:
  `ContainerManager`

Constructor Summary
`CoreContainerManager()`
`CoreContainerManager(FdkSession session)`

Method Summary
`Item` | `createContainer(long target, NamedValue[] def, AttributeRequest[] attributes)` Creates a new container.
`void` | `deleteContainer(long id, NamedValue[] def)` Deletes a container.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `updateContainer(long id, NamedValue[] def, AttributeRequest[] attributes)` Updates an existing container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreContainerManager

    public CoreContainerManager()

### CoreContainerManager

    public CoreContainerManager(FdkSession session)

Method Detail

### createContainer

    public Item createContainer(long target,
                                NamedValue[] def,
                                AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Creates a new container.

  Passing true for Options.CREATE_WORKSPACE_REQUEST_ALLOWED configures workflow, allowing the create workspace operation to be request enabled.

  Parameters:
    `target` - the parent of the new container.
    `def` - attributes on the container.
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
    - {Attributes.SECURITY_CONFIGURATION, NamedValue[]}, where the attributes are:
      - {Attributes.GRANTS, NamedValueSet[]}, where each row corresponds to a grant whose attributes are:
        - {Attributes.GRANTEE, Long}
        - {Attributes.ROLES, long[]}
        - {Attributes.PROPAGATING, Boolean}
    `attributes` - the requested attributes for the item
  Returns:
    an Item representing the created container.
  Throws:
    `FdkException` - if the operation fails.

### updateContainer

    public Item updateContainer(long id,
                                NamedValue[] def,
                                AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Updates an existing container. Passing true for Options.CREATE_WORKSPACE_REQUEST_ALLOWED configures workflow, allowing the create workspace operation to be request enabled.

  Parameters:
    `id` - ID of the container to update.
    `def` - container attributes to update:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
  Returns:
    an Item representing the updated container.
  Throws:
    `FdkException` - if the operation fails.

### deleteContainer

    public void deleteContainer(long id,
                                NamedValue[] def)
                         throws FdkException

  Description copied from interface: `ContainerManager`
  Deletes a container.

  Parameters:
    `id` - ID of the container to delete.
    `def` - parameters for the delete operation:
    - notation: {parameter name, datatype}
    - {Options.RUN_ASYNC, Boolean}
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD